Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class PropertiesUtils

    java.lang.Object
      org.mule.util.PropertiesUtils

    public final class PropertiesUtils

extends Object

`PropertiesHelper` is a utility class for manipulating and filtering property Maps.

Constructor Summary
`protected` | `PropertiesUtils()` Do not instanciate.

Method Summary
`static Properties` | `getPropertiesFromQueryString(String query)`
`static Properties` | `getPropertiesFromString(String query, char separator)`
`static Map` | `getPropertiesWithoutPrefix(Map props, String prefix)`
`static void` | `getPropertiesWithPrefix(Map props, String prefix, Map newProps)` Will create a map of properties where the names have a prefix Allows the callee to supply the target map so a comparator can be set
`static Properties` | `loadProperties(InputStream is)`
`static Properties` | `loadProperties(String fileName, Class callingClass)` Read in the properties from a properties file.
`static Properties` | `loadProperties(URL url)`
`static String` | `maskedPropertyValue(Map.Entry property)` Returns the String representation of the property value or a masked String if the property key has been registered previously via `registerMaskedPropertyName(String)`.
`static String` | `propertiesToString(Map props, boolean newline)` Deprecated. Use `MapUtils.toString(Map, boolean)` instead
`static void` | `registerMaskedPropertyName(String name)` Register a property name for masking.
`static String` | `removeNamespacePrefix(String eleName)`
`static Map` | `removeNamespaces(Map properties)`
`static String` | `removeXmlNamespacePrefix(String eleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesUtils

    protected PropertiesUtils()

  Do not instanciate.

Method Detail

### registerMaskedPropertyName

    public static void registerMaskedPropertyName(String name)

  Register a property name for masking. This will prevent certain values from leaking e.g. into debugging output or logfiles.

  Parameters:
    `name` - the key of the property to be masked.
  Throws:
    `IllegalArgumentException` - is name is null or empty.

### maskedPropertyValue

    public static String maskedPropertyValue(Map.Entry property)

  Returns the String representation of the property value or a masked String if the property key has been registered previously via `registerMaskedPropertyName(String)`.

  Parameters:
    `property` - a key/value pair
  Returns:
    String of the property value or a "masked" String that hides the contents, or `null` if the property, its key or its value is `null`.

### loadProperties

    public static Properties loadProperties(String fileName,
                                            Class callingClass)
                                     throws IOException

  Read in the properties from a properties file. The file may be on the file system or the classpath.

  Parameters:
    `fileName` - - The name of the properties file
    `callingClass` - - The Class which is calling this method. This is used to determine the classpath.
  Returns:
    a java.util.Properties object containing the properties.
  Throws:
    `IOException`

### loadProperties

    public static Properties loadProperties(URL url)
                                     throws IOException

  Throws:
    `IOException`

### loadProperties

    public static Properties loadProperties(InputStream is)
                                     throws IOException

  Throws:
    `IOException`

### removeXmlNamespacePrefix

    public static String removeXmlNamespacePrefix(String eleName)

### removeNamespacePrefix

    public static String removeNamespacePrefix(String eleName)

### removeNamespaces

    public static Map removeNamespaces(Map properties)

### getPropertiesWithPrefix

    public static void getPropertiesWithPrefix(Map props,
                                               String prefix,
                                               Map newProps)

  Will create a map of properties where the names have a prefix Allows the callee to supply the target map so a comparator can be set

  Parameters:
    `props` - the source set of properties
    `prefix` - the prefix to filter on
    `newProps` - return map containing the filtered list of properties or an empty map if no properties matched the prefix

### getPropertiesWithoutPrefix

    public static Map getPropertiesWithoutPrefix(Map props,
                                                 String prefix)

### getPropertiesFromQueryString

    public static Properties getPropertiesFromQueryString(String query)

### getPropertiesFromString

    public static Properties getPropertiesFromString(String query,
                                                     char separator)

### propertiesToString

    public static String propertiesToString(Map props,
                                            boolean newline)

  Deprecated. Use `MapUtils.toString(Map, boolean)` instead

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.